#!/usr/bin/python3

import RPi.GPIO as GPIO
from time import sleep

GPIO.setmode(GPIO.BCM)
GPIO.setup(26, GPIO.OUT, pull_up_down=GPIO.PUD_UP, initial=1)

try:
    while True :            #endless loop
        print(" Select 1=LED ON, 2=LED OFF, 3=21 second timed loop then exit")
        inkey=input("?: ")
        if inkey == "1" :
            print("on")
            GPIO.output(26, 0)
        elif inkey == "2":
            print("off")
            GPIO.output(26, 1)
        elif inkey == "3":
            print("break")
            break           #break out of first while loop
    
    count=0
    while (count < 400):    # 400 * 50mS -- approx 20 seconds
        GPIO.output(26, 0)
        sleep(0.025)
        GPIO.output(26, 1)
        sleep(0.025)
        count +=1
except KeyboardInterrupt:
        print("Keyboard break")

GPIO.cleanup()
exit()
